Compatibility of ESA Components

Version compatibility between ESA Core (Authentication Server) and the other components (Windows Login, Remote Desktop Protection, IIS, AD FS, RADIUS, ADUC) of ESET Secure Authentication has been improved. The table below shows which ESA core, ESA Component and Management Console (MMC) versions are cross-compatible.

Compatibility table - component connecting to Authentication Server 3.0

Component

Component v2.4

Component v2.5

Component v2.6

Component v2.7

Component v2.8

Component v3.0

Windows Login

OK*

OK*

OK

OK

OK

OK

RDP

OK*

OK*

OK

OK

OK

OK

AD FS

OK*

OK*

OK

OK

OK

OK

RADIUS

FAIL

FAIL

OK

OK

OK

OK

IIS

FAIL

FAIL

OK

OK

OK

OK

Management Tools (ADUC, MMC)

FAIL

FAIL

FAIL

FAIL

OK

OK

Identity Provider Connector

 

 

 

 

 

OK

* Works if the component was registered (used) with the corresponding version of Authentication Server (2.4 or 2.5) before upgrading Authentication Server to version 3.0.


note

Cannot register a new component with an old server

You cannot register newer component versions with an older server version. The connection will fail due to compatibility issues and you will receive a notification of the error.